PHPExcel_Shared_ZipArchive

# Class: PHPExcel_Shared_ZipArchive

Source Location: /PHPExcel/Shared/ZipArchive.php

### Class Overview

PHPExcel_Shared_ZipArchive

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- CREATE
- OVERWRITE

### Methods

- addFromString
- close
- open

### Class Details

[line 41]
PHPExcel_Shared_ZipArchive

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method addFromString [line 95]

`void addFromString( string $localname, string $contents)`

Add a new file to the zip archive from a string of raw data.

#### Tags:

access: | public

#### Parameters:

string | $localname | Directory/Name of the file to add to the zip archive
string | $contents | String of data to add to the zip archive

[ Top ]

### method close [line 84]

`void close( )`

Close this zip archive

#### Tags:

access: | public

[ Top ]

### method open [line 70]

`boolean open( string $fileName)`

Open a new zip archive

#### Tags:

access: | public

#### Parameters:

string | $fileName | Filename for the zip archive

[ Top ]

### Class Constants

#### CREATE = 'CREATE'

[line 46]

[ Top ]

#### OVERWRITE = 'OVERWRITE'

[line 45]

constants
[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:18 +0200 by phpDocumentor 1.4.4